/* -*-c-*-
 *
 * $Id: socket.h,v 1.1 1999/07/26 23:33:32 mdw Exp $
 *
 * Socket source and target definitions
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the `fw' port forwarder.
 *
 * `fw' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * `fw' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with `fw'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: socket.h,v $
 * Revision 1.1  1999/07/26 23:33:32  mdw
 * New sources and targets.
 *
 */

#ifndef SOCKET_H
#define SOCKET_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#ifndef SOURCE_H
#  include "source.h"
#endif

#ifndef TARGET_H
#  include "target.h"
#endif

/*----- Sources and targets -----------------------------------------------*/

extern source_ops ssource_ops;
extern target_ops starget_ops;

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
